NewStart CGSL MAIN 4.05:java-1.7.0-openjdk 多个漏洞 (NS-SA-2019-0131)

high Nessus 插件 ID 127385

语言:

全新!插件严重性现在使用 CVSS v3

计算的插件严重性默认已更新为使用 CVSS v3。没有 CVSS v3 分数的插件将回退到 CVSS v2 来计算严重性。可以在设置下拉列表中切换严重性显示首选项。

简介

远程机器受到多个漏洞影响。

描述

运行版本 MAIN 4.05 的远程 NewStart CGSL 主机拥安装有受多个漏洞影响的 java-1.7.0-openjdk 程序包:- 在许多现代微处理器设计已实施的装载与存储指令推测执行(一种常用的性能优化)方式中发现一个行业性问题。它依赖如下事实:特权代码中存在精确定义的指令序列,以及从最近发生内存写入的地址读取的内存会遇到一个旧值,导致微处理器数据缓存的更新,甚至包括为从未实际提交(取消)的推测执行指令进行更新。因此,非特权攻击者可利用此缺陷,通过执行目标缓存边信道攻击来读取特权内存。(CVE-2018-3639) - Oracle Java SE 的 Java SE、Java SE Embedded 组件中的漏洞(子组件:Hotspot)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded。除攻击者以外的他人进行交互是实现成功攻击的必要条件,尽管漏洞存在于 Java SE、Java SE Embedded 中,但攻击也可能会严重影响其他产品。成功攻击此漏洞可导致接管 Java SE、Java SE Embedded。注意:此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞不适用于 Java 部署,通常在仅加载并运行可信代码(如管理员安装的代码)的服务器上。CVSS 3.0 基本分数 8.3 (机密性、完整性和可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H)。(CVE-2018-2814) - Oracle Java SE 的 Java SE、JRockit 组件中的漏洞(子组件:Security)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162、10 和 JRockit:R28.3.17。难以利用的漏洞允许未经身份验证的攻击者登录 Java SE、JRockit 执行的基础结构,从而破坏 Java SE、JRockit。除攻击者以外的他人进行交互是实现成功攻击的必要条件,尽管漏洞存在于 Java SE、JRockit 中,但攻击也可能会严重影响其他产品。此漏洞如攻击成功,将导致Java SE、JRockit 被接管。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 7.7(机密性、完整性和可用性影响)。CVSS 向量:(CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H)。(CVE-2018-2794) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:Security)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2795) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:Serialization)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2815) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:JAXP)。支持的版本中受影响的是 Java SE:7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2799) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:AWT)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2798) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:JMX)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2797) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:Concurrency)中的漏洞。支持的版本中受影响的是 Java SE:7u171、8u162 和 10;Java SE Embedded:8u161;JRockit:R28.3.17。可轻松利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 5.3(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2796) - Oracle Java SE 的 Java SE、JRockit 组件中的漏洞(子组件:RMI)。支持的版本中受影响的是 Java SE:6u181、7u171 和 8u162;JRockit:R28.3.17。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、JRockit。除攻击者以外的他人进行交互是实现成功攻击的必要条件。成功攻击此漏洞可导致在未经授权的情况下更新、插入或删除某些 Java SE、JRockit 可访问数据的访问权限,以及对 Java SE、JRockit 可访问数据子集进行未经授权的读取访问。注意:此漏洞只能通过向指定组件中的 API 提供数据而遭到利用,不使用不可信的 Java Web Start 应用程序或不可信的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 4.2(机密性和完整性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:L/I:L/A:N)。(CVE-2018-2800) - Oracle Java SE 的 Java SE、Java SE Embedded 组件中的漏洞(子组件:Security)。支持的版本中受影响的是 Java SE:6u181、7u171、8u162 和 10;Java SE Embedded:8u161。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded。除攻击者以外的他人进行交互是实现成功攻击的必要条件。成功攻击此漏洞可导致在未经授权的情况下更新、插入或删除某些 Java SE、Java SE 嵌入可访问数据的访问权限。注意:此漏洞适用于需加载并运行不可信代码(如来自互联网的代码)且安全性依赖于 Java 沙盒的 Java 部署,该部署通常在需在沙盒中运行 Java Web Start 应用程序或需在沙盒中运行 Java 小程序的客户端上。此漏洞不适用于 Java 部署,通常在仅加载并运行可信代码(如管理员安装的代码)的服务器上。CVSS 3.0 基本分数 3.1(完整性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:U/C:N/I:L/A:N)。(CVE-2018-2790) - Oracle Java SE 的 Java SE、Java SE Embedded、JRockit 组件中的漏洞(子组件:Concurrency)中的漏洞。支持的版本中受影响的是 Java SE:6u191、7u181、8u172 和 10.0.1;Java SE Embedded:8u171;JRockit:R28.3.18。难以利用的漏洞允许未经身份验证的攻击者通过多种协议进行网络访问,从而破坏 Java SE、Java SE Embedded、JRockit。成功攻击此漏洞可导致在未经授权的情况下造成 Java SE、Java SE Embedded、JRockit 部分拒绝服务(部分 DOS)。注意:适用于 Java 客户端和服务器部署。此漏洞能通过需要在沙盒中运行的 Java Web Start 应用程序和需要在沙盒中运行的 Java 小程序加以利用。它也可通过向指定组件中的 API 提供数据而遭到利用,不使用需要在沙盒中运行的 Java Web Start 应用程序或需要在沙盒中运行的 Java 小程序,例如通过 Web 服务。CVSS 3.0 基本分数 3.7(可用性影响)。CVSS 向量:(CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)。(CVE-2018-2952) 请注意,Nessus 并未针对此问题进行测试,而仅依赖应用程序自我报告的版本号。

解决方案

更新易受攻击的 CGSL java-1.7.0-openjdk 程序包。请注意,可能尚无可用的已更新程序包。请联系 ZTE 获取更多信息。

另见

http://security.gd-linux.com/notice/NS-SA-2019-0131

插件详情

严重性: High

ID: 127385

文件名: newstart_cgsl_NS-SA-2019-0131_java-1.7.0-openjdk.nasl

版本: 1.4

类型: local

发布时间: 2019/8/12

最近更新时间: 2021/1/14

依存关系: ssh_get_info.nasl

风险信息

CVSS 分数来源: CVE-2018-2814

VPR

风险因素: High

分数: 7.3

CVSS v2

风险因素: Medium

基本分数: 5.1

时间分数: 4

矢量: AV:N/AC:H/Au:N/C:P/I:P/A:P

时间矢量: E:POC/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 8.3

时间分数: 7.5

矢量: CVSS:3.0/AV:N/AC:H/PR:N/UI:R/S:C/C:H/I:H/A:H

时间矢量: E:P/RL:O/RC:C

漏洞信息

必需的 KB 项: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

可利用: true

易利用性: Exploits are available

补丁发布日期: 2019/7/17

漏洞发布日期: 2018/4/19

参考资料信息

CVE: CVE-2018-2790, CVE-2018-2794, CVE-2018-2795, CVE-2018-2796, CVE-2018-2797, CVE-2018-2798, CVE-2018-2799, CVE-2018-2800, CVE-2018-2814, CVE-2018-2815, CVE-2018-2952, CVE-2018-3639